> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/enums/scrollingdirection.md).

# ScrollingDirection

## Overview

ScrollingDirection is an Enum that specifies the scroll direction of a scrollable area.

It is used as the ScrollingDirection property in the ScrollingFrame class, determining the direction in which users can scroll the content.

## Items

| Name | Value | Description                                                       |
| ---- | ----- | ----------------------------------------------------------------- |
| X    | 1     | Scrolling is only possible in the horizontal (X-axis) direction.  |
| Y    | 2     | Scrolling is only possible in the vertical (Y-axis) direction.    |
| XY   | 4     | Scrolling is possible in both horizontal and vertical directions. |

## See also

{% content-ref url="/pages/mynrdpnaLAwMCUWSc9kw" %}
[ScrollingFrame](/development/api-reference/classes/scrollingframe.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/scrollingdirection.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
